# Gimp.Procedure.add_enum_return_value

    @accepts(Gimp.Procedure, unicode, unicode, unicode, GType, int, GObject.ParamFlags)
    @returns(none)
    def add_enum_return_value(self, name, nick, blurb, enum_type, value, flags):
        # Python wrapper for gimp_procedure_add_enum_return_value()

Add a new enum return value to self.

Since 3.0

self

  the Gimp.Procedure.

name

  the name of the argument to be created.

nick

  the label used in #GimpProcedureDialog.

blurb

  a more detailed help description.

enum_type

  the GLib.Type for this argument

value

  the default value.

flags

  argument flags.